# Customer labeling

Report customer account reviews, restrictions, and suspensions to improve Radar fraud and abuse signals.

Customer labeling lets you report when you review, restrict, or suspend a customer’s account. Stripe uses these outcome signals to improve Radar fraud and abuse signals.

When you submit a label, Stripe creates an [Account Activity](https://docs.stripe.com/api/v2/signals/account-activities/object.md?api-version=2026-09-16.preview). Report an activity each time you review, restrict, or suspend a customer.

Customer labeling is available in private preview. Request access before you report Account Activities.

### Request access to the customer labeling private preview.

Enter your email to request access.

```bash
curl https://docs.stripe.com/preview/register \
  -X POST \
  -H "Content-Type: application/json" \
  -H "Referer: https://docs.stripe.com/radar/customer-labeling" \
  -d '{"email": "EMAIL", "preview": "radar_customer_labeling_preview"}'
```

| Label | Use when | Supported account details |
| --- | --- | --- |
| `account_restricted` | You limit a customer’s access but keep their account active. | A `Customer` ID or v2 `Account` ID |
| `account_suspended` | You disable a customer’s access to their account. | A `Customer` ID |
| `account_reviewed` | You complete a review of the customer within your system. | A `Customer` ID or v2 `Account` ID |

For `account_restricted`, provide the `Customer` ID associated with the customer in your Stripe integration, or provide their v2 `Account` ID. For `account_suspended`, provide a `Customer` ID.

For `account_reviewed`, provide the `Customer` ID associated with the customer in your Stripe integration, or provide their v2 `Account` ID. Inline account data isn’t supported.

## Report a reviewed customer

Create an `account_reviewed` activity after completing a **point-in-time review** of a customer. Stripe uses this report only to improve model training. It doesn’t change the customer’s internal account state.

```curl
curl -X POST https://api.stripe.com/v2/signals/account_activity \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-08-26.preview" \
  --json '{
    "account_details": {
        "customer": "{{CUSTOMER_ID}}"
    },
    "type": "account_reviewed",
    "account_reviewed": {
        "outcome": "trusted"
    },
    "metadata": {
        "review_source": "manual"
    },
    "occurred_at": "2026-09-10T12:00:00Z"
  }'
```

The `account_reviewed` activity supports the following point-in-time review outcomes:

| Outcome | Use when |
| --- | --- |
| `trusted` | You’re highly confident that the customer’s behavior is trustworthy. |
| `other` | Any other review outcome. |

## Report a restricted customer

Create an `account_restricted` activity when you limit a customer’s access. Set `reason` to `abuse` when the restriction is in response to abusive behavior.

```curl
curl -X POST https://api.stripe.com/v2/signals/account_activity \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-08-26.preview" \
  --json '{
    "account_details": {
        "customer": "cus_****"
    },
    "type": "account_restricted",
    "account_restricted": {
        "reason": "abuse"
    }
  }'
```

## Report a suspended customer

Create an `account_suspended` activity when you disable a customer’s access to their account.

```curl
curl -X POST https://api.stripe.com/v2/signals/account_activity \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-08-26.preview" \
  --json '{
    "account_details": {
        "customer": "cus_****"
    },
    "type": "account_suspended",
    "account_suspended": {
        "reason": "abuse"
    }
  }'
```

## Choose a reason

Both `account_restricted` and `account_suspended` labels support the following reasons:

| Reason | Use when |
| --- | --- |
| `abuse` | You restricted or suspended the customer for abusive behavior. |
| `other` | You restricted or suspended the customer for another reason. |

By default, the activity’s `occurred_at` timestamp is the time you create it. If the review, restriction, or suspension happened earlier, provide its timestamp in `occurred_at`. Use `metadata` to attach context such as the review source.

## Next steps

- [Learn about customer abuse prevention](https://docs.stripe.com/radar/customer-abuse-prevention.md)
- Review the [Account Activities API](https://docs.stripe.com/api/v2/signals/account-activities/create.md?api-version=2026-09-16.preview)
